Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.asn1.x509.qualified
Class MonetaryValue

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.x509.qualified.MonetaryValue

All Implemented Interfaces:
  DEREncodable

    public class MonetaryValue

extends ASN1Encodable

The MonetaryValue object.

     MonetaryValue  ::=  SEQUENCE {
           currency              Iso4217CurrencyCode,
           amount               INTEGER,
           exponent             INTEGER }
     -- value = amount * 10^exponent

Field Summary

Fields inherited from class org.bouncycastle.asn1.ASN1Encodable
`BER, DER`

Constructor Summary
`MonetaryValue(ASN1Sequence seq)`
`MonetaryValue(Iso4217CurrencyCode currency, int amount, int exponent)`

Method Summary
`java.math.BigInteger` `getAmount()`
`Iso4217CurrencyCode` `getCurrency()`
`java.math.BigInteger` `getExponent()`
`static MonetaryValue` `getInstance(java.lang.Object obj)`
`DERObject` `toASN1Object()`

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MonetaryValue

    public MonetaryValue(ASN1Sequence seq)

### MonetaryValue

    public MonetaryValue(Iso4217CurrencyCode currency,
                         int amount,
                         int exponent)

Method Detail

### getInstance

    public static MonetaryValue getInstance(java.lang.Object obj)

### getCurrency

    public Iso4217CurrencyCode getCurrency()

### getAmount

    public java.math.BigInteger getAmount()

### getExponent

    public java.math.BigInteger getExponent()

### toASN1Object

    public DERObject toASN1Object()

  Specified by:
    `toASN1Object` in class `ASN1Encodable`

Bouncy Castle Cryptography Library 1.45